Subject: [Shop-talk] The air compressor to have now

From: Scott <[email-masked]>
Date: Sun, 23 Nov 2014 12:52:51 -0500

It's time for a new compressor. I also want it to be the last one I buy.

I remember the last time I did this (maybe ten, fifteen years ago), it 
was an Ingersoll Rand T-something. T-10, T-55, I thought it was 
similarly named to a Russian tank, for some reason.

Anyway, If you were buying one today, which would it be? I've got the 
space for anything, and I'd like to never even have to think about 
running out of air again. Not running a shop, but I'll paint with it, 
and run a blast cabinet with it.

Thanks guys.
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive